<?php
/**
 * Review Comments Template
 *
 * Closing li is left out on purpose!.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/review.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$rating   = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
$verified = wc_review_is_from_verified_owner( $comment->comment_ID );

?>
<li itemprop="review" itemscope itemtype="http://schema.org/Review" <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

	<article id="comment-<?php comment_ID(); ?>">

		<div class="review-avatar pull-left">
			<?php echo get_avatar( $comment, apply_filters( 'woocommerce_review_gravatar_size', '90' ), '' ); ?>
		</div>

		<div class="review-cont clearfix">

			<?php if ( $rating && get_option( 'woocommerce_enable_review_rating' ) === 'yes' ) : ?>

				<div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating" class="rating pull-right" title="<?php echo sprintf( __( 'Rated %d out of 5', 'youplay' ), $rating ) ?>">
					<?php
					for($k = 0; $k < 5; $k++) {
						if($rating <= $k) {
							echo '<i class="fa fa-star-o"></i> ';
						} else {
							echo '<i class="fa fa-star"></i> ';
						}
					}
					?>
				</div>

			<?php endif; ?>

			<?php do_action( 'woocommerce_review_before_comment_meta', $comment ); ?>

			<?php if ( $comment->comment_approved == '0' ) : ?>

				<p class="meta"><em><?php _e( 'Your comment is awaiting approval', 'youplay' ); ?></em></p>

			<?php else : ?>
        		<span class="review-author h4"><?php comment_author(); ?></span>
        		 <?php

					if ( get_option( 'woocommerce_review_rating_verification_label' ) === 'yes' )
						if ( $verified )
							echo '<em class="verified">(' . __( 'verified owner', 'youplay' ) . ')</em> ';
				?>

        		<div class="date" itemprop="datePublished" datetime="<?php echo get_comment_date( 'c' ); ?>"><i class="fa fa-calendar"></i> <?php echo get_comment_date( wc_date_format() ); ?></div>

			<?php endif; ?>

			<?php do_action( 'woocommerce_review_before_comment_text', $comment ); ?>

			<div class="review-text" itemprop="description">
				<?php echo yp_comment_text(); ?>
			</div>

			<?php do_action( 'woocommerce_review_after_comment_text', $comment ); ?>
			
		</div>
	</article>
