/*!
 * Name    : Video Worker (wrapper for Youtube and Vimeo)
 * Version : 1.1.1
 * Author  : _nK http://nkdev.info
 * GitHub  : https://github.com/nk-o/jarallax
 */
!function(e){"use strict";function t(e){e=e||{};for(var t=1;t<arguments.length;t++)if(arguments[t])for(var i in arguments[t])arguments[t].hasOwnProperty(i)&&(e[i]=arguments[t][i]);return e}function i(){this._done=[],this._fail=[]}i.prototype={execute:function(e,t){var i=e.length;for(t=Array.prototype.slice.call(t);i--;)e[i].apply(null,t)},resolve:function(){this.execute(this._done,arguments)},reject:function(){this.execute(this._fail,arguments)},done:function(e){this._done.push(e)},fail:function(e){this._fail.push(e)}};var o=function(){function e(e,o){var a=this;a.url=e,a.options_default={autoplay:1,loop:1,mute:1,controls:0},a.options=t({},a.options_default,o),a.videoID=a.parseURL(e),a.videoID&&(a.ID=i++,a.loadAPI(),a.init())}var i=0;return e}();o.prototype.parseURL=function(e){function t(e){var t=/.*(?:youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=)([^#\&\?]*).*/,i=e.match(t);return i&&11===i[1].length?i[1]:!1}function i(e){var t=/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/,i=e.match(t);return i&&i[3]?i[3]:!1}var o=t(e),a=i(e);return o?(this.type="youtube",o):a?(this.type="vimeo",a):!1},o.prototype.isValid=function(){return!!this.videoID},o.prototype.on=function(e,t){this.userEventsList=this.userEventsList||[],(this.userEventsList[e]||(this.userEventsList[e]=[])).push(t)},o.prototype.off=function(e,t){if(this.userEventsList&&this.userEventsList[e])if(t)for(var i=0;i<this.userEventsList[e].length;i++)this.userEventsList[e][i]===t&&(this.userEventsList[e][i]=!1);else delete this.userEventsList[e]},o.prototype.fire=function(e){var t=[].slice.call(arguments,1);if(this.userEventsList&&"undefined"!=typeof this.userEventsList[e])for(var i in this.userEventsList[e])this.userEventsList[e][i]&&this.userEventsList[e][i].apply(this,t)},o.prototype.play=function(){this.player&&("youtube"===this.type&&this.player.playVideo&&this.player.playVideo(),"vimeo"===this.type&&this.player.api("play"))},o.prototype.pause=function(){this.player&&("youtube"===this.type&&this.player.pauseVideo&&this.player.pauseVideo(),"vimeo"===this.type&&this.player.api("pause"))},o.prototype.getImageURL=function(e){var t=this;if(t.videoImage)return void e(t.videoImage);if("youtube"===t.type&&(t.videoImage="https://img.youtube.com/vi/"+t.videoID+"/maxresdefault.jpg",e(t.videoImage)),"vimeo"===t.type){var i=new XMLHttpRequest;i.open("GET","https://vimeo.com/api/v2/video/"+t.videoID+".json",!0),i.onreadystatechange=function(){if(4===this.readyState&&this.status>=200&&this.status<400){var i=JSON.parse(this.responseText);t.videoImage=i[0].thumbnail_large,e(t.videoImage)}},i.send(),i=null}},o.prototype.getIframe=function(t){var i=this;return i.$iframe?void t(i.$iframe):void i.onAPIready(function(){var o;if(i.$iframe||(o=document.createElement("div"),o.style.display="none"),"youtube"===i.type){i.playerOptions={},i.playerOptions.videoId=i.videoID,i.playerOptions.width=e.innerWidth||document.documentElement.clientWidth,i.playerOptions.playerVars={autohide:1,rel:0,autoplay:0},i.options.controls||(i.playerOptions.playerVars.iv_load_policy=3,i.playerOptions.playerVars.modestbranding=1,i.playerOptions.playerVars.controls=0,i.playerOptions.playerVars.showinfo=0,i.playerOptions.playerVars.disablekb=1);var a;i.playerOptions.events={onReady:function(e){i.options.mute&&e.target.mute(),i.options.autoplay&&i.play(),i.fire("ready",e)},onStateChange:function(e){i.options.loop&&e.data===YT.PlayerState.ENDED&&e.target.playVideo(),a||e.data!==YT.PlayerState.PLAYING||(a=1,i.fire("started",e)),e.data===YT.PlayerState.PLAYING&&i.fire("play",e),e.data===YT.PlayerState.PAUSED&&i.fire("pause",e),e.data===YT.PlayerState.ENDED&&i.fire("end",e)}};var n=!i.$iframe;if(n){var r=document.createElement("div");r.setAttribute("id",i.playerID),o.appendChild(r),document.body.appendChild(o)}i.player=i.player||new e.YT.Player(i.playerID,i.playerOptions),n&&(i.$iframe=document.getElementById(i.playerID))}"vimeo"===i.type&&(i.playerOptions="",i.playerOptions+="player_id="+i.playerID,i.playerOptions+="&autopause=0",i.options.controls||(i.playerOptions+="&badge=0&byline=0&portrait=0&title=0"),i.playerOptions+="&autoplay=0",i.playerOptions+="&loop="+(i.options.loop?1:0),i.$iframe||(i.$iframe=document.createElement("iframe"),i.$iframe.setAttribute("id",i.playerID),i.$iframe.setAttribute("src","https://player.vimeo.com/video/"+i.videoID+"?"+i.playerOptions),i.$iframe.setAttribute("frameborder","0"),o.appendChild(i.$iframe),document.body.appendChild(o)),i.player=i.player||$f(i.$iframe),i.player.addEvent("ready",function(e){i.player.api("setVolume",i.options.mute?0:100),i.options.autoplay&&i.play();var t;i.player.addEvent("playProgress",function(e){t||i.fire("started",e),t=1}),i.player.addEvent("play",function(e){i.fire("play",e)}),i.player.addEvent("pause",function(e){i.fire("pause",e)}),i.player.addEvent("finish",function(e){i.fire("end",e)}),i.fire("ready",e)})),t(i.$iframe)})},o.prototype.init=function(){var e=this;e.playerID="VideoWorker-"+e.ID};var a=0,n=0;o.prototype.loadAPI=function(){var t=this;if(!a||!n){var i="";"youtube"!==t.type||a||(a=1,i="//www.youtube.com/iframe_api"),"vimeo"!==t.type||n||(n=1,i="//f.vimeocdn.com/js/froogaloop2.min.js"),"file://"===e.location.origin&&(i="http:"+i);var o=document.createElement("script"),r=document.getElementsByTagName("head")[0];o.src=i,r.appendChild(o),r=null,o=null}};var r=0,p=0,s=new i,l=new i;o.prototype.onAPIready=function(t){var i=this;if("youtube"===i.type&&("undefined"!=typeof YT&&0!==YT.loaded||r?"object"==typeof YT&&1===YT.loaded?t():s.done(function(){t()}):(r=1,e.onYouTubeIframeAPIReady=function(){e.onYouTubeIframeAPIReady=null,s.resolve("done"),t()})),"vimeo"===i.type)if("undefined"!=typeof $f||p)"undefined"!=typeof $f?t():l.done(function(){t()});else{p=1;var o=setInterval(function(){"undefined"!=typeof $f&&(clearInterval(o),l.resolve("done"),t())},20)}},e.VideoWorker=o}(window),function(){"use strict";if("undefined"!=typeof jarallax){var e=jarallax.constructor,t=e.prototype.init;e.prototype.init=function(){var e=this;t.apply(e),e.video&&e.video.getIframe(function(t){e.css(t,{position:"fixed",top:"0px",left:"0px",right:"0px",bottom:"0px",width:"100%",height:"100%",visibility:"visible",zIndex:-1}),e.$video=t,e.image.$container.appendChild(t)})};var i=e.prototype.coverImage;e.prototype.coverImage=function(){var e=this;i.apply(e),e.video&&"IFRAME"===e.image.$item.nodeName&&e.css(e.image.$item,{height:e.image.$item.getBoundingClientRect().height+400+"px",top:"-200px"})};var o=e.prototype.initImg;e.prototype.initImg=function(){var e=this;if(e.options.videoSrc||(e.options.videoSrc=e.$item.getAttribute("data-jarallax-video")||!1),e.options.videoSrc){var t=new VideoWorker(e.options.videoSrc);return t.isValid()&&(e.image.useImgTag=!0,t.on("ready",function(){var i=e.onScroll;e.onScroll=function(){i.apply(e),e.isVisible()?t.play():t.pause()}}),t.on("started",function(){e.image.$default_item=e.image.$item,e.image.$item=e.$video,e.image.width=e.imgWidth=1280,e.image.height=e.imgHeight=720,e.coverImage(),e.clipContainer(),e.onScroll(),e.image.$default_item&&(e.image.$default_item.style.display="none")}),e.video=t,t.getImageURL(function(t){e.image.src=t,e.init()})),!1}return o.apply(e)};var a=e.prototype.destroy;e.prototype.destroy=function(){var e=this;a.apply(e)}}}();
